function point_distance(x1,y1,x2,y2) return math.sqrt((x2 - x1) ^ 2 + (y2 - y1) ^ 2) end
--Returns the x vector from {len} and {dir}
function lengthdir_x( len, dir )
	local dirr = math.rad(dir)
	return math.cos( dirr ) * len
end

--Returns the y vector from {len} and {dir}
function lengthdir_y( len, dir )
	local dirr = math.rad(dir)
	return -math.sin( dirr ) * len
end
-- direction between two points
function point_direction(x1,y1,x2,y2)

  dx1=x2-x1
  dy1=y2-y1
  dx2=dx1
  dy2=0
  cosfi=(dx1*dx2+dy1*dy2)/(math.sqrt(dx1^2+dy1^2)*math.sqrt(dx2^2+dy2^2))
  fi=math.acos(cosfi)
  return fi
end
function math.angle(x1, y1, x2, y2)
    local a = math.deg(math.atan2(y2 - y1, x2 - x1))
    --if a < 0 then
        return a
    --else
    --    return a + 360
    --end
end
function line_collision(x1,y1,x2,y2,x3,y3,x4,y4) ---two lines collision check
  local x_buf=-999
  local y_buf=-999
  local col_check=false
  k1=(y2-y1)/(x2-x1)
  print(k1)
  k2=(y4-y3)/(x4-x3)
  print(k2)
  p1=y1-x1*k1
  print(p1)
  p2=y3-x3*k2
  print(p2)
    if k1==k2
        then
        paral=1
      else
        paral=0
    end
  if paral==0
    then
    x_buf=(p2-p1)/(k1-k2)
    print(x_buf)
    print(tostring(x_buf>x3 and x_buf<x4))
    print(tostring(x_buf<x3 and x_buf>x4))
    if (x_buf>=x3 and x_buf<=x4)or (x_buf<=x3 and x_buf>=x4)
      then
        col_check=true
    end
  end
  return col_check
end

function print_debug(v1,s1,v2,s2,v3,s3,v4,s4,v5,s5,v6,s6,v7,s7)
  pr_str=""
  ss={}
  vv={}
  ss[1]=s1 or nil
  ss[2]=s2 or nil
  ss[3]=s3 or nil
  ss[4]=s4 or nil
  ss[5]=s5 or nil
  ss[6]=s6 or nil
  ss[7]=s7 or nil
  vv[1]=v1 or nil
  vv[2]=v2 or nil
  vv[3]=v3 or nil
  vv[4]=v4 or nil
  vv[5]=v5 or nil
  vv[6]=v6 or nil
  vv[7]=v7 or nil
  for i=1,7 do
    if ss[i]
      then
    pr_str=pr_str..tostring(vv[i]).."= "..tostring(ss[i]).."   "
    end
  end
  love.window.showMessageBox("touch id", pr_str,"info" )
end