stage_game={}
cnt={}
obs={}
function stage_game:load()
cnt.timer=64
cnt.timer_max=128
cnt.timer_min=32
cnt.min=1
cnt.max=0
cnt.mindepth=10
cnt.maxdepth=40
cnt.minHeight=40
cnt.maxHeight=80
cnt.obs_a=15
	end
circ={}
circ.rad1=0.5
circ.rad2=0
circ.rad3=0
circ.speed=5
function stage_game:update()
	player_step()
	cnt.timer=cnt.timer-1
	if cnt.timer==0 then   ------creating an obstacle
		cnt.max=cnt.max+1
		obs[cnt.max]={}
		obs[cnt.max].r=0.5
		obs[cnt.max].depth=math.random(cnt.mindepth,cnt.maxdepth)
		obs[cnt.max].speed=1
		obs[cnt.max].b=math.random(0,360)
		obs[cnt.max].bb=obs[cnt.max].b
		obs[cnt.max].height=math.random(cnt.minHeight,cnt.maxHeight)
		cnt.timer=math.random(cnt.timer_min,cnt.timer_max)
	end
	for i=cnt.min,cnt.max do
		obs[i].b=obs[i].bb+angle
		obs[i].height=obs[i].r*1.5*.5
		obs[i].depth=obs[i].r*.5
		obs[i].r=obs[i].r+obs[i].speed*obs[i].r/20
		obs[i].x1=gameWidth/2+lengthdir_x(obs[i].r/math.cos(cnt.obs_a/2),obs[i].b-cnt.obs_a/2)
		obs[i].y1=gameHeight/2+lengthdir_y(obs[i].r/math.cos(cnt.obs_a/2),obs[i].b-cnt.obs_a/2)
		obs[i].x2=gameWidth/2+lengthdir_x(obs[i].r/math.cos(cnt.obs_a/2),obs[i].b+cnt.obs_a/2)
		obs[i].y2=gameHeight/2+lengthdir_y(obs[i].r/math.cos(cnt.obs_a/2),obs[i].b+cnt.obs_a/2)
		obs[i].x3=obs[i].x1+lengthdir_x(obs[i].height,-math.angle(obs[i].x1,obs[i].y1,gameWidth/2,gameHeight/2))
		obs[i].y3=obs[i].y1+lengthdir_y(obs[i].height,-math.angle(obs[i].x1,obs[i].y1,gameWidth/2,gameHeight/2))
		obs[i].x4=obs[i].x2+lengthdir_x(obs[i].height,-math.angle(obs[i].x2,obs[i].y2,gameWidth/2,gameHeight/2))
		obs[i].y4=obs[i].y2+lengthdir_y(obs[i].height,-math.angle(obs[i].x2,obs[i].y2,gameWidth/2,gameHeight/2))
		obs[i].x5=obs[i].x3+lengthdir_x(obs[i].depth,-math.angle(obs[i].x3,obs[i].y3,gameWidth/2,gameHeight/2))
		obs[i].y5=obs[i].y3+lengthdir_y(obs[i].depth,-math.angle(obs[i].x3,obs[i].y3,gameWidth/2,gameHeight/2))
		obs[i].x6=obs[i].x4+lengthdir_x(obs[i].depth,-math.angle(obs[i].x4,obs[i].y4,gameWidth/2,gameHeight/2))
		obs[i].y6=obs[i].y4+lengthdir_y(obs[i].depth,-math.angle(obs[i].x4,obs[i].y4,gameWidth/2,gameHeight/2))
		obs[i].light={55/255,55/255,84/255}
		obs[i].med={46/255,43/255,70/255}
		obs[i].dark={20/255,28/255,45/255}
		obs[i].border={23/255,21/255,34/255}
	end

end

function stage_game:draw()
	love.graphics.setColor(0,0,0)
	circ.rad1=circ.rad1+circ.speed*circ.rad1/100
	if circ.rad1>gameHeight*2 then circ.rad1=0.5 end
	love.graphics.circle("line",gameWidth/2,gameHeight/2,circ.rad1)
	love.graphics.setColor(1,0,0)
	for i=cnt.min,cnt.max do
		love.graphics.line(obs[i].x1,obs[i].y1,obs[i].x2,obs[i].y2)
		love.graphics.line(obs[i].x3,obs[i].y3,obs[i].x4,obs[i].y4)
		love.graphics.polygon("line",obs[i].x3,obs[i].y3,obs[i].x4,obs[i].y4,obs[i].x6,obs[i].y6,obs[i].x5,obs[i].y5)
		love.graphics.setColor(obs[i].med)
		love.graphics.polygon("fill",obs[i].x3,obs[i].y3,obs[i].x4,obs[i].y4,obs[i].x6,obs[i].y6,obs[i].x5,obs[i].y5)
		love.graphics.setColor(obs[i].light)
		love.graphics.polygon("line",obs[i].x3,obs[i].y3,obs[i].x4,obs[i].y4,obs[i].x6,obs[i].y6,obs[i].x5,obs[i].y5)
		love.graphics.setColor(obs[i].dark)
		love.graphics.polygon("fill",obs[i].x1,obs[i].y1,obs[i].x2,obs[i].y2,obs[i].x4,obs[i].y4,obs[i].x3,obs[i].y3)
		love.graphics.setColor(obs[i].border)
		love.graphics.polygon("line",obs[i].x1,obs[i].y1,obs[i].x2,obs[i].y2,obs[i].x4,obs[i].y4,obs[i].x3,obs[i].y3)
	end
	player_draw()

end

function player_step()
		player.height=player.r*1.5*.5
		player.depth=player.r*.5
		player.dark={174/255,51/255,51/255}
		player.light={217/255,97/255,100/255}
		player.med={203/255,60/255,60/255}
		player.border={203/255,60/255,60/255}
		player.x1=gameWidth/2+lengthdir_x(player.r/math.cos(player.a/2),player.b-player.a/2)
		player.y1=gameHeight/2+lengthdir_y(player.r/math.cos(player.a/2),player.b-player.a/2)
		player.x2=gameWidth/2+lengthdir_x(player.r/math.cos(player.a/2),player.b+player.a/2)
		player.y2=gameHeight/2+lengthdir_y(player.r/math.cos(player.a/2),player.b+player.a/2)
		player.x3=player.x1+lengthdir_x(player.height,-math.angle(player.x1,player.y1,gameWidth/2,gameHeight/2))
		player.y3=player.y1+lengthdir_y(player.height,-math.angle(player.x1,player.y1,gameWidth/2,gameHeight/2))
		player.x4=player.x2+lengthdir_x(player.height,-math.angle(player.x2,player.y2,gameWidth/2,gameHeight/2))
		player.y4=player.y2+lengthdir_y(player.height,-math.angle(player.x2,player.y2,gameWidth/2,gameHeight/2))
		player.x5=player.x3+lengthdir_x(player.depth,-math.angle(player.x3,player.y3,gameWidth/2,gameHeight/2))
		player.y5=player.y3+lengthdir_y(player.depth,-math.angle(player.x3,player.y3,gameWidth/2,gameHeight/2))
		player.x6=player.x4+lengthdir_x(player.depth,-math.angle(player.x4,player.y4,gameWidth/2,gameHeight/2))
		player.y6=player.y4+lengthdir_y(player.depth,-math.angle(player.x4,player.y4,gameWidth/2,gameHeight/2))
end
function player_draw()
	love.graphics.line(player.x1,player.y1,player.x2,player.y2)
		love.graphics.line(player.x3,player.y3,player.x4,player.y4)
		love.graphics.polygon("line",player.x3,player.y3,player.x4,player.y4,player.x6,player.y6,player.x5,player.y5)
		love.graphics.setColor(player.med)
		love.graphics.polygon("fill",player.x3,player.y3,player.x4,player.y4,player.x6,player.y6,player.x5,player.y5)
		love.graphics.setColor(player.light)
		love.graphics.polygon("line",player.x3,player.y3,player.x4,player.y4,player.x6,player.y6,player.x5,player.y5)
		love.graphics.setColor(player.dark)
		love.graphics.polygon("fill",player.x1,player.y1,player.x2,player.y2,player.x4,player.y4,player.x3,player.y3)
		love.graphics.setColor(player.border)
		love.graphics.polygon("line",player.x1,player.y1,player.x2,player.y2,player.x4,player.y4,player.x3,player.y3)
end